Skip to main content
This endpoint can be used to get a summary of all a contact’s previous purchases.
GET /api/v3/contacts/{contactId}/purchasehistorysummary

Responses

A successful update will return HTTP 200 OK along with the contact’s purchase history summary as the response body. That will look like this:
{
  "lastUpdated": "2025-09-05T14:53:50.4905776+02:00",
  "purchaseAmountAll": 2219.26,
  "numberOfArticlePurchasesAll": 3,
  "averageReceiptAll": 2219.26,
  "latestReceiptDate": "2023-09-05T14:53:50.4905776+02:00",
  "purchaseFrequencyAll": 1,
  "purchaseAmountLastYear": 0,
  "numberOfArticlePurchasesLastYear": 0,
  "averageReceiptLastYear": 0,
  "purchaseFrequencyLastYear": 1,
  "purchaseAmountLastTwoYears": 2219.26,
  "numberOfArticlePurchasesLastTwoYears": 3,
  "averageReceiptLastTwoYears": 2219.26,
  "purchaseFrequencyLastTwoYears": 2219.26
}
Amounts shown are given in the group currency.
If the request has not been successful, you’ll get this HTTP error code:
  • 404: RetailKpiNotCalculated: The contact ID given was not found in the database.